Bug 221870 - [kn_IN][Rendering Issue] Dotted Cricle appearing between 0C8E and 0C82 combos
[kn_IN][Rendering Issue] Dotted Cricle appearing between 0C8E and 0C82 combos
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks: 222092
  Show dependency treegraph
 
Reported: 2007-01-08 12:03 EST by Ramakrishna Reddy Yekulla
Modified: 2012-01-03 01:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 03:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Screenshot of the Correct rendering (28.05 KB, image/png)
2007-01-08 12:03 EST, Ramakrishna Reddy Yekulla
no flags Details
A small patch that can solve the above reported issue (731 bytes, patch)
2007-01-08 12:06 EST, Ramakrishna Reddy Yekulla
no flags Details | Diff
The wrong combinations appearing in Gedit. (29.78 KB, image/png)
2007-01-09 01:28 EST, Ramakrishna Reddy Yekulla
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 380094 None None None Never

  None (edit)
Description Ramakrishna Reddy Yekulla 2007-01-08 12:03:48 EST
Description of problem:
Dotted Cricle appearing between 0C8E and 0C82 combinations.

Version-Release number of selected component (if applicable):
pango-1.14-8-1.fc6

How reproducible:
Everytime

Steps to Reproduce:
1. Gedit
2. Activate Scim by Ctrl + Space, Choose Either Kannada Inscript or Itrans
3. 		inscript key mapping	        Itrans key mapping
ಎಂಬ 	   -	Zxy		 ----	        eMba			
ಎಂತಹ	  -	Zxlu		----	       eMtaha
ಎಂದು	  -	Zxog	        ----			eMdu
ಎಂಟು	  -	Zx'g		----		eMTu
ಎಂಬತ್ತು	-	Zxyldlg	      ----		     eMbattu
ಎಂಜಲು	  -	Zxpng	        ----		       eMjalu
4. The Dotted Circle should not be formed between the Combination of 0C8E and 0C82
 
Actual results:
As shown in the above combinations

Expected results:

As shown in the attached image, 0C8E-OC82-inscript-Combinations.png

Additional info:
This appears fine in Kedit, with out any issues
Comment 1 Ramakrishna Reddy Yekulla 2007-01-08 12:03:48 EST
Created attachment 145077 [details]
The Screenshot of the Correct rendering
Comment 2 Ramakrishna Reddy Yekulla 2007-01-08 12:06:03 EST
Created attachment 145079 [details]
A small patch that can solve the above reported issue

It was defined as an Unknown Charcter Class (_xx) in Indic moduled.
Comment 4 Ramakrishna Reddy Yekulla 2007-01-09 01:28:57 EST
Created attachment 145140 [details]
The wrong combinations appearing in Gedit.

These are the combinations which are apperaring in gedit as of now. Look out
for the dotted circles, between 0C8E KANNADA LETTER I (ಎ) and 0C82 KANNADA
SIGN ANUSVARA ()
Comment 5 Liang Zhang 2007-09-28 04:37:30 EDT
The upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=481205
Comment 6 Shankar Prasad 2007-11-21 01:06:21 EST
Not fixed in either Fedora or RHEL5
Comment 7 Shankar Prasad 2007-11-21 02:22:34 EST
Tested with fonts-kannada-2.0.13-1.el5
Comment 8 Shankar Prasad 2007-11-21 02:24:05 EST
Sorry! tested with pango-1.14.9-3.el5
Comment 9 Bug Zapper 2008-05-13 22:32:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Shankar Prasad 2008-06-06 02:03:55 EDT
This hasn't fixed in fedora-9 even...
Comment 11 Tony Fu 2008-09-09 23:06:34 EDT
requested by Jens Petersen (#27995)
Comment 12 Shankar Prasad 2009-03-02 02:16:30 EST
The patch was accepted by gnome upstream for the same issue at http://bugzilla.gnome.org/show_bug.cgi?id=380094
Comment 13 Bug Zapper 2009-06-09 18:23:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 David Tardon 2009-06-11 04:31:28 EDT
*** Bug 505252 has been marked as a duplicate of this bug. ***
Comment 15 Jens Petersen 2009-06-23 02:17:56 EDT
Parag or Pravin, is this fixed in recent Fedora?
Comment 16 Parag Nemade 2009-06-23 03:30:53 EDT
Tested this looks fixed in F11.
Comment 17 Parag Nemade 2012-01-03 01:22:16 EST
This looks got fixed in 1.21.4 of upstream pango release.

Note You need to log in before you can comment on or make changes to this bug.